-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 33 of the CMF schema. Migration code to be applied on top of the
-- previous version.
--

update SCHEMA_VERSION set VERSION=33;
--
-- Add columns for configuring LDAP authentication
--
-- Modify columns of type
--     not null default ''
-- to make them consistent with Oracle as it treats empty string as null.
--

alter table SETTINGS
    add column LDAP_URL varchar(1024),
    add column NT_DOMAIN varchar(1024),
    add column LDAP_DN_PATTERN varchar(1024),
    alter column PASSWORD_HASH drop not null,
    alter column KEYSTORE_PATH drop not null,
    alter column KEYSTORE_PASSWORD drop not null,
    alter column TRUSTSTORE_PATH drop not null,
    alter column TRUSTSTORE_PASSWORD drop not null,
    alter column LICENSE_KEY drop not null,
    alter column PASSWORD_HASH drop default,
    alter column KEYSTORE_PATH drop default,
    alter column KEYSTORE_PASSWORD drop default,
    alter column TRUSTSTORE_PATH drop default,
    alter column TRUSTSTORE_PASSWORD drop default,
    alter column LICENSE_KEY drop default;